;***************************************************************
;* TMS320C2000 C/C++ Codegen                         PC v5.2.1 *
;* Date/Time created: Thu Mar 17 16:26:59 2016                 *
;***************************************************************
	.compiler_opts --float_support=fpu32 --hll_source=on --mem_model:code=flat --mem_model:data=large --quiet --silicon_version=28 --symdebug:dwarf 
FP	.set	XAR2

$C$DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr $C$DW$CU, DW_AT_name("CFFT_f32_sincostable.c")
	.dwattr $C$DW$CU, DW_AT_producer("TMS320C2000 C/C++ Codegen PC v5.2.1 Copyright (c) 1996-2009 Texas Instruments Incorporated")
	.dwattr $C$DW$CU, DW_AT_TI_version(0x01)
	.dwattr $C$DW$CU, DW_AT_comp_dir("C:\3ggb\EASdspF28335_BIOS\src")

$C$DW$1	.dwtag  DW_TAG_subprogram, DW_AT_name("sin")
	.dwattr $C$DW$1, DW_AT_TI_symbol_name("_sin")
	.dwattr $C$DW$1, DW_AT_type(*$C$DW$T$17)
	.dwattr $C$DW$1, DW_AT_declaration
	.dwattr $C$DW$1, DW_AT_external
	.dwattr $C$DW$1, DW_AT_decl_file("C:/CCStudio_v3.3PLA/C2000/cgtools/include/math.h")
	.dwattr $C$DW$1, DW_AT_decl_line(0x2d)
	.dwattr $C$DW$1, DW_AT_decl_column(0x11)
$C$DW$2	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$2, DW_AT_type(*$C$DW$T$17)
	.dwendtag $C$DW$1

;	C:\CCStudio_v3.3PLA\C2000\cgtools\bin\ac2000.exe -@C:\DOCUME~1\ADMINI~1\LOCALS~1\Temp\039522 
	.sect	".text"
	.global	_CFFT_f32_sincostable

$C$DW$3	.dwtag  DW_TAG_subprogram, DW_AT_name("CFFT_f32_sincostable")
	.dwattr $C$DW$3, DW_AT_low_pc(_CFFT_f32_sincostable)
	.dwattr $C$DW$3, DW_AT_high_pc(0x00)
	.dwattr $C$DW$3, DW_AT_TI_symbol_name("_CFFT_f32_sincostable")
	.dwattr $C$DW$3, DW_AT_external
	.dwattr $C$DW$3, DW_AT_TI_begin_file("CFFT_f32_sincostable.c")
	.dwattr $C$DW$3, DW_AT_TI_begin_line(0x3b)
	.dwattr $C$DW$3, DW_AT_TI_begin_column(0x06)
	.dwattr $C$DW$3, DW_AT_decl_file("CFFT_f32_sincostable.c")
	.dwattr $C$DW$3, DW_AT_decl_line(0x3b)
	.dwattr $C$DW$3, DW_AT_decl_column(0x06)
	.dwattr $C$DW$3, DW_AT_TI_max_frame_size(-10)
	.dwpsn	file "CFFT_f32_sincostable.c",line 60,column 1,is_stmt,address _CFFT_f32_sincostable

	.dwfde $C$DW$CIE, _CFFT_f32_sincostable
$C$DW$4	.dwtag  DW_TAG_formal_parameter, DW_AT_name("cfft")
	.dwattr $C$DW$4, DW_AT_TI_symbol_name("_cfft")
	.dwattr $C$DW$4, DW_AT_type(*$C$DW$T$33)
	.dwattr $C$DW$4, DW_AT_location[DW_OP_reg12]
;----------------------------------------------------------------------
;  59 | void CFFT_f32_sincostable(CFFT_F32_STRUCT *cfft)                       
;----------------------------------------------------------------------

;***************************************************************
;* FNAME: _CFFT_f32_sincostable         FR SIZE:   8           *
;*                                                             *
;* FUNCTION ENVIRONMENT                                        *
;*                                                             *
;* FUNCTION PROPERTIES                                         *
;*                            0 Parameter,  8 Auto,  0 SOE     *
;***************************************************************

_CFFT_f32_sincostable:
	.dwcfi	cfa_offset, -2
	.dwcfi	save_reg_to_mem, 26, 0
	.dwcfi	save_reg_to_reg, 78, 26
        ADDB      SP,#8
	.dwcfi	cfa_offset, -10
$C$DW$5	.dwtag  DW_TAG_variable, DW_AT_name("cfft")
	.dwattr $C$DW$5, DW_AT_TI_symbol_name("_cfft")
	.dwattr $C$DW$5, DW_AT_type(*$C$DW$T$33)
	.dwattr $C$DW$5, DW_AT_location[DW_OP_breg20 -2]
$C$DW$6	.dwtag  DW_TAG_variable, DW_AT_name("i")
	.dwattr $C$DW$6, DW_AT_TI_symbol_name("_i")
	.dwattr $C$DW$6, DW_AT_type(*$C$DW$T$35)
	.dwattr $C$DW$6, DW_AT_location[DW_OP_breg20 -3]
$C$DW$7	.dwtag  DW_TAG_variable, DW_AT_name("TableSize")
	.dwattr $C$DW$7, DW_AT_TI_symbol_name("_TableSize")
	.dwattr $C$DW$7, DW_AT_type(*$C$DW$T$35)
	.dwattr $C$DW$7, DW_AT_location[DW_OP_breg20 -4]
$C$DW$8	.dwtag  DW_TAG_variable, DW_AT_name("Rad")
	.dwattr $C$DW$8, DW_AT_TI_symbol_name("_Rad")
	.dwattr $C$DW$8, DW_AT_type(*$C$DW$T$16)
	.dwattr $C$DW$8, DW_AT_location[DW_OP_breg20 -6]
$C$DW$9	.dwtag  DW_TAG_variable, DW_AT_name("RadStep")
	.dwattr $C$DW$9, DW_AT_TI_symbol_name("_RadStep")
	.dwattr $C$DW$9, DW_AT_type(*$C$DW$T$16)
	.dwattr $C$DW$9, DW_AT_location[DW_OP_breg20 -8]
;----------------------------------------------------------------------
;  61 | int16   i;                                                             
;  62 | int16   TableSize;                                                     
;  63 | float   Rad;                                                           
;  64 | float   RadStep;                                                       
;----------------------------------------------------------------------
        MOVL      *-SP[2],XAR4          ; |60| 
	.dwpsn	file "CFFT_f32_sincostable.c",line 66,column 2,is_stmt
;----------------------------------------------------------------------
;  66 | RadStep = 1.57079632795f;       // RadStep = pi/2                      
;----------------------------------------------------------------------
        MOV       *-SP[8],#4059         ; |66| 
        MOV       *-SP[7],#16329        ; |66| 
	.dwpsn	file "CFFT_f32_sincostable.c",line 68,column 2,is_stmt
;----------------------------------------------------------------------
;  68 | Rad = 0.0f;                                                            
;----------------------------------------------------------------------
        ZERO      R0H                   ; |68| 
        MOV32     *-SP[6],R0H
	.dwpsn	file "CFFT_f32_sincostable.c",line 70,column 6,is_stmt
;----------------------------------------------------------------------
;  70 | for(i=0; i < (cfft->Stages - 2); i++)                                  
;----------------------------------------------------------------------
        MOVB      XAR0,#10              ; |70| 
        MOV       *-SP[3],#0            ; |70| 
        B         $C$L2,UNC             ; |70| 
        ; branch occurs ; |70| 
$C$L1:    
$C$DW$L$_CFFT_f32_sincostable$2$B:
	.dwpsn	file "CFFT_f32_sincostable.c",line 72,column 3,is_stmt
;----------------------------------------------------------------------
;  72 | RadStep = RadStep * 0.5f;                                              
;----------------------------------------------------------------------
        MOV32     R0H,*-SP[8]
        MPYF32    R0H,R0H,#16128        ; |72| 
        NOP
        MOV32     *-SP[8],R0H
	.dwpsn	file "CFFT_f32_sincostable.c",line 70,column 35,is_stmt
        INC       *-SP[3]               ; |70| 
$C$DW$L$_CFFT_f32_sincostable$2$E:
$C$L2:    
$C$DW$L$_CFFT_f32_sincostable$3$B:
	.dwpsn	file "CFFT_f32_sincostable.c",line 70,column 11,is_stmt
        MOVL      XAR4,*-SP[2]          ; |70| 
        MOV       AL,*+XAR4[AR0]        ; |70| 
        ADDB      AL,#-2
        CMP       AL,*-SP[3]            ; |70| 
        B         $C$L1,HI              ; |70| 
        ; branchcc occurs ; |70| 
$C$DW$L$_CFFT_f32_sincostable$3$E:
	.dwpsn	file "CFFT_f32_sincostable.c",line 75,column 2,is_stmt
;----------------------------------------------------------------------
;  75 | TableSize = (1 << (cfft->Stages - 1));                                 
;----------------------------------------------------------------------
        MOVL      XAR4,*-SP[2]          ; |75| 
        MOVB      AL,#1                 ; |75| 
        MOV       AH,*+XAR4[AR0]        ; |75| 
        ADDB      AH,#-1
        MOV       T,AH                  ; |75| 
        LSL       AL,T                  ; |75| 
        MOV       *-SP[4],AL            ; |75| 
	.dwpsn	file "CFFT_f32_sincostable.c",line 76,column 2,is_stmt
;----------------------------------------------------------------------
;  76 | TableSize = TableSize + (TableSize >> 1);                              
;----------------------------------------------------------------------
        ASR       AL,1                  ; |76| 
        ADD       *-SP[4],AL            ; |76| 
	.dwpsn	file "CFFT_f32_sincostable.c",line 77,column 6,is_stmt
;----------------------------------------------------------------------
;  77 | for(i=0; i < TableSize; i++)                                           
;----------------------------------------------------------------------
        MOV       *-SP[3],#0            ; |77| 
	.dwpsn	file "CFFT_f32_sincostable.c",line 77,column 11,is_stmt
        MOV       AL,*-SP[4]            ; |77| 
        CMP       AL,*-SP[3]            ; |77| 
        B         $C$L4,LEQ             ; |77| 
        ; branchcc occurs ; |77| 
$C$L3:    
$C$DW$L$_CFFT_f32_sincostable$5$B:
	.dwpsn	file "CFFT_f32_sincostable.c",line 79,column 3,is_stmt
;----------------------------------------------------------------------
;  79 | cfft->CoefPtr[i] = sin(Rad);                                           
;----------------------------------------------------------------------
        MOV32     R0H,*-SP[6]
$C$DW$10	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$10, DW_AT_low_pc(0x00)
	.dwattr $C$DW$10, DW_AT_name("_sin")
	.dwattr $C$DW$10, DW_AT_TI_call
        LCR       #_sin                 ; |79| 
        ; call occurs [#_sin] ; |79| 
        MOVL      XAR4,*-SP[2]          ; |79| 
        MOVL      XAR4,*+XAR4[4]        ; |79| 
        SETC      SXM
        MOV       ACC,*-SP[3] << 1      ; |79| 
        ADDL      XAR4,ACC
        MOV32     *+XAR4[0],R0H
	.dwpsn	file "CFFT_f32_sincostable.c",line 80,column 3,is_stmt
;----------------------------------------------------------------------
;  80 | Rad = Rad + RadStep;                                                   
;----------------------------------------------------------------------
        MOV32     R0H,*-SP[6]
        MOV32     R1H,*-SP[8]
        ADDF32    R0H,R1H,R0H           ; |80| 
        NOP
        MOV32     *-SP[6],R0H
	.dwpsn	file "CFFT_f32_sincostable.c",line 77,column 26,is_stmt
        INC       *-SP[3]               ; |77| 
	.dwpsn	file "CFFT_f32_sincostable.c",line 77,column 11,is_stmt
        MOV       AL,*-SP[4]            ; |77| 
        CMP       AL,*-SP[3]            ; |77| 
        B         $C$L3,GT              ; |77| 
        ; branchcc occurs ; |77| 
$C$DW$L$_CFFT_f32_sincostable$5$E:
	.dwpsn	file "CFFT_f32_sincostable.c",line 83,column 1,is_stmt
$C$L4:    
        SUBB      SP,#8
	.dwcfi	cfa_offset, -2
$C$DW$11	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$11, DW_AT_low_pc(0x00)
	.dwattr $C$DW$11, DW_AT_TI_return
        LRETR
        ; return occurs

$C$DW$12	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$12, DW_AT_name("C:/3ggb/EASdspF28335_BIOS/projects/Debug/CFFT_f32_sincostable.asm:$C$L3:1:1458203220")
	.dwattr $C$DW$12, DW_AT_TI_begin_file("CFFT_f32_sincostable.c")
	.dwattr $C$DW$12, DW_AT_TI_begin_line(0x4d)
	.dwattr $C$DW$12, DW_AT_TI_end_line(0x51)
$C$DW$13	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$13, DW_AT_low_pc($C$DW$L$_CFFT_f32_sincostable$5$B)
	.dwattr $C$DW$13, DW_AT_high_pc($C$DW$L$_CFFT_f32_sincostable$5$E)
	.dwendtag $C$DW$12


$C$DW$14	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$14, DW_AT_name("C:/3ggb/EASdspF28335_BIOS/projects/Debug/CFFT_f32_sincostable.asm:$C$L2:1:1458203220")
	.dwattr $C$DW$14, DW_AT_TI_begin_file("CFFT_f32_sincostable.c")
	.dwattr $C$DW$14, DW_AT_TI_begin_line(0x46)
	.dwattr $C$DW$14, DW_AT_TI_end_line(0x48)
$C$DW$15	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$15, DW_AT_low_pc($C$DW$L$_CFFT_f32_sincostable$3$B)
	.dwattr $C$DW$15, DW_AT_high_pc($C$DW$L$_CFFT_f32_sincostable$3$E)
$C$DW$16	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$16, DW_AT_low_pc($C$DW$L$_CFFT_f32_sincostable$2$B)
	.dwattr $C$DW$16, DW_AT_high_pc($C$DW$L$_CFFT_f32_sincostable$2$E)
	.dwendtag $C$DW$14

	.dwattr $C$DW$3, DW_AT_TI_end_file("CFFT_f32_sincostable.c")
	.dwattr $C$DW$3, DW_AT_TI_end_line(0x53)
	.dwattr $C$DW$3, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$3

;**************************************************************
;* UNDEFINED EXTERNAL REFERENCES                              *
;**************************************************************
	.global	_sin

;***************************************************************
;* TYPE INFORMATION                                            *
;***************************************************************
$C$DW$T$3	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$3, DW_AT_address_class(0x16)

$C$DW$T$29	.dwtag  DW_TAG_subroutine_type
	.dwattr $C$DW$T$29, DW_AT_language(DW_LANG_C)
$C$DW$17	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$17, DW_AT_type(*$C$DW$T$3)
	.dwendtag $C$DW$T$29

$C$DW$T$30	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$30, DW_AT_type(*$C$DW$T$29)
	.dwattr $C$DW$T$30, DW_AT_address_class(0x16)
$C$DW$T$4	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$4, DW_AT_encoding(DW_ATE_boolean)
	.dwattr $C$DW$T$4, DW_AT_name("bool")
	.dwattr $C$DW$T$4, DW_AT_byte_size(0x01)
$C$DW$T$5	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$5, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$5, DW_AT_name("signed char")
	.dwattr $C$DW$T$5, DW_AT_byte_size(0x01)
$C$DW$T$6	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$6, DW_AT_encoding(DW_ATE_unsigned_char)
	.dwattr $C$DW$T$6, DW_AT_name("unsigned char")
	.dwattr $C$DW$T$6, DW_AT_byte_size(0x01)
$C$DW$T$7	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$7, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$7, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$7, DW_AT_byte_size(0x01)
$C$DW$T$8	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$8, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$8, DW_AT_name("short")
	.dwattr $C$DW$T$8, DW_AT_byte_size(0x01)
$C$DW$T$9	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$9, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$9, DW_AT_name("unsigned short")
	.dwattr $C$DW$T$9, DW_AT_byte_size(0x01)
$C$DW$T$10	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$10, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$10, DW_AT_name("int")
	.dwattr $C$DW$T$10, DW_AT_byte_size(0x01)
$C$DW$T$35	.dwtag  DW_TAG_typedef, DW_AT_name("int16")
	.dwattr $C$DW$T$35, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$35, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$35, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$T$35, DW_AT_decl_line(0x23)
	.dwattr $C$DW$T$35, DW_AT_decl_column(0x1d)
$C$DW$T$11	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$11, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$11, DW_AT_name("unsigned int")
	.dwattr $C$DW$T$11, DW_AT_byte_size(0x01)
$C$DW$T$21	.dwtag  DW_TAG_typedef, DW_AT_name("Uint16")
	.dwattr $C$DW$T$21, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$21, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$21, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$T$21, DW_AT_decl_line(0x26)
	.dwattr $C$DW$T$21, DW_AT_decl_column(0x1d)
$C$DW$T$24	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$24, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$T$24, DW_AT_address_class(0x16)
$C$DW$T$12	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$12, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$12, DW_AT_name("long")
	.dwattr $C$DW$T$12, DW_AT_byte_size(0x02)
$C$DW$T$36	.dwtag  DW_TAG_typedef, DW_AT_name("int32")
	.dwattr $C$DW$T$36, DW_AT_type(*$C$DW$T$12)
	.dwattr $C$DW$T$36, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$36, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$T$36, DW_AT_decl_line(0x24)
	.dwattr $C$DW$T$36, DW_AT_decl_column(0x1d)
$C$DW$T$13	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$13, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$13, DW_AT_name("unsigned long")
	.dwattr $C$DW$T$13, DW_AT_byte_size(0x02)
$C$DW$T$37	.dwtag  DW_TAG_typedef, DW_AT_name("Uint32")
	.dwattr $C$DW$T$37, DW_AT_type(*$C$DW$T$13)
	.dwattr $C$DW$T$37, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$37, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$T$37, DW_AT_decl_line(0x27)
	.dwattr $C$DW$T$37, DW_AT_decl_column(0x1d)
$C$DW$T$14	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$14, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$14, DW_AT_name("long long")
	.dwattr $C$DW$T$14, DW_AT_byte_size(0x04)
$C$DW$T$38	.dwtag  DW_TAG_typedef, DW_AT_name("int64")
	.dwattr $C$DW$T$38, DW_AT_type(*$C$DW$T$14)
	.dwattr $C$DW$T$38, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$38, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$T$38, DW_AT_decl_line(0x25)
	.dwattr $C$DW$T$38, DW_AT_decl_column(0x1d)
$C$DW$T$15	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$15, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$15, DW_AT_name("unsigned long long")
	.dwattr $C$DW$T$15, DW_AT_byte_size(0x04)
$C$DW$T$39	.dwtag  DW_TAG_typedef, DW_AT_name("Uint64")
	.dwattr $C$DW$T$39, DW_AT_type(*$C$DW$T$15)
	.dwattr $C$DW$T$39, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$39, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$T$39, DW_AT_decl_line(0x28)
	.dwattr $C$DW$T$39, DW_AT_decl_column(0x1d)
$C$DW$T$16	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$16, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$16, DW_AT_name("float")
	.dwattr $C$DW$T$16, DW_AT_byte_size(0x02)
$C$DW$T$19	.dwtag  DW_TAG_typedef, DW_AT_name("float32")
	.dwattr $C$DW$T$19, DW_AT_type(*$C$DW$T$16)
	.dwattr $C$DW$T$19, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$19, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$T$19, DW_AT_decl_line(0x29)
	.dwattr $C$DW$T$19, DW_AT_decl_column(0x1d)
$C$DW$T$20	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$20, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$T$20, DW_AT_address_class(0x16)

$C$DW$T$26	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$26, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$T$26, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$26, DW_AT_byte_size(0x04)
$C$DW$18	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$18, DW_AT_upper_bound(0x01)
	.dwendtag $C$DW$T$26

$C$DW$T$28	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$28, DW_AT_type(*$C$DW$T$16)
	.dwattr $C$DW$T$28, DW_AT_address_class(0x16)
$C$DW$T$17	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$17, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$17, DW_AT_name("double")
	.dwattr $C$DW$T$17, DW_AT_byte_size(0x02)
$C$DW$T$18	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$18, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$18, DW_AT_name("long double")
	.dwattr $C$DW$T$18, DW_AT_byte_size(0x04)
$C$DW$T$42	.dwtag  DW_TAG_typedef, DW_AT_name("float64")
	.dwattr $C$DW$T$42, DW_AT_type(*$C$DW$T$18)
	.dwattr $C$DW$T$42, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$42, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$T$42, DW_AT_decl_line(0x2a)
	.dwattr $C$DW$T$42, DW_AT_decl_column(0x1d)

$C$DW$T$22	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$22, DW_AT_byte_size(0x0c)
$C$DW$19	.dwtag  DW_TAG_member
	.dwattr $C$DW$19, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$19, DW_AT_name("InPtr")
	.dwattr $C$DW$19, DW_AT_TI_symbol_name("_InPtr")
	.dwattr $C$DW$19, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$19, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$19, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$19, DW_AT_decl_line(0x46)
	.dwattr $C$DW$19, DW_AT_decl_column(0x0b)
$C$DW$20	.dwtag  DW_TAG_member
	.dwattr $C$DW$20, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$20, DW_AT_name("OutPtr")
	.dwattr $C$DW$20, DW_AT_TI_symbol_name("_OutPtr")
	.dwattr $C$DW$20, DW_AT_data_member_location[DW_OP_plus_uconst 0x2]
	.dwattr $C$DW$20, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$20, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$20, DW_AT_decl_line(0x47)
	.dwattr $C$DW$20, DW_AT_decl_column(0x0b)
$C$DW$21	.dwtag  DW_TAG_member
	.dwattr $C$DW$21, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$21, DW_AT_name("CoefPtr")
	.dwattr $C$DW$21, DW_AT_TI_symbol_name("_CoefPtr")
	.dwattr $C$DW$21, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr $C$DW$21, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$21, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$21, DW_AT_decl_line(0x48)
	.dwattr $C$DW$21, DW_AT_decl_column(0x0b)
$C$DW$22	.dwtag  DW_TAG_member
	.dwattr $C$DW$22, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$22, DW_AT_name("CurrentInPtr")
	.dwattr $C$DW$22, DW_AT_TI_symbol_name("_CurrentInPtr")
	.dwattr $C$DW$22, DW_AT_data_member_location[DW_OP_plus_uconst 0x6]
	.dwattr $C$DW$22, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$22, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$22, DW_AT_decl_line(0x49)
	.dwattr $C$DW$22, DW_AT_decl_column(0x0b)
$C$DW$23	.dwtag  DW_TAG_member
	.dwattr $C$DW$23, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$23, DW_AT_name("CurrentOutPtr")
	.dwattr $C$DW$23, DW_AT_TI_symbol_name("_CurrentOutPtr")
	.dwattr $C$DW$23, DW_AT_data_member_location[DW_OP_plus_uconst 0x8]
	.dwattr $C$DW$23, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$23, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$23, DW_AT_decl_line(0x4a)
	.dwattr $C$DW$23, DW_AT_decl_column(0x0b)
$C$DW$24	.dwtag  DW_TAG_member
	.dwattr $C$DW$24, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$24, DW_AT_name("Stages")
	.dwattr $C$DW$24, DW_AT_TI_symbol_name("_Stages")
	.dwattr $C$DW$24, DW_AT_data_member_location[DW_OP_plus_uconst 0xa]
	.dwattr $C$DW$24, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$24, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$24, DW_AT_decl_line(0x4b)
	.dwattr $C$DW$24, DW_AT_decl_column(0x09)
$C$DW$25	.dwtag  DW_TAG_member
	.dwattr $C$DW$25, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$25, DW_AT_name("FFTSize")
	.dwattr $C$DW$25, DW_AT_TI_symbol_name("_FFTSize")
	.dwattr $C$DW$25, DW_AT_data_member_location[DW_OP_plus_uconst 0xb]
	.dwattr $C$DW$25, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$25, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$25, DW_AT_decl_line(0x4c)
	.dwattr $C$DW$25, DW_AT_decl_column(0x0a)
	.dwendtag $C$DW$T$22

	.dwattr $C$DW$T$22, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$T$22, DW_AT_decl_line(0x45)
	.dwattr $C$DW$T$22, DW_AT_decl_column(0x10)
$C$DW$T$32	.dwtag  DW_TAG_typedef, DW_AT_name("CFFT_F32_STRUCT")
	.dwattr $C$DW$T$32, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$T$32, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$32, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$T$32, DW_AT_decl_line(0x4d)
	.dwattr $C$DW$T$32, DW_AT_decl_column(0x02)
$C$DW$T$33	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$33, DW_AT_type(*$C$DW$T$32)
	.dwattr $C$DW$T$33, DW_AT_address_class(0x16)

$C$DW$T$23	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$23, DW_AT_byte_size(0x0c)
$C$DW$26	.dwtag  DW_TAG_member
	.dwattr $C$DW$26, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$26, DW_AT_name("InBuf")
	.dwattr $C$DW$26, DW_AT_TI_symbol_name("_InBuf")
	.dwattr $C$DW$26, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$26, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$26, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$26, DW_AT_decl_line(0x33)
	.dwattr $C$DW$26, DW_AT_decl_column(0x0d)
$C$DW$27	.dwtag  DW_TAG_member
	.dwattr $C$DW$27, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$27, DW_AT_name("OutBuf")
	.dwattr $C$DW$27, DW_AT_TI_symbol_name("_OutBuf")
	.dwattr $C$DW$27, DW_AT_data_member_location[DW_OP_plus_uconst 0x2]
	.dwattr $C$DW$27, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$27, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$27, DW_AT_decl_line(0x34)
	.dwattr $C$DW$27, DW_AT_decl_column(0x0d)
$C$DW$28	.dwtag  DW_TAG_member
	.dwattr $C$DW$28, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$28, DW_AT_name("CosSinBuf")
	.dwattr $C$DW$28, DW_AT_TI_symbol_name("_CosSinBuf")
	.dwattr $C$DW$28, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr $C$DW$28, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$28, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$28, DW_AT_decl_line(0x35)
	.dwattr $C$DW$28, DW_AT_decl_column(0x0d)
$C$DW$29	.dwtag  DW_TAG_member
	.dwattr $C$DW$29, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$29, DW_AT_name("MagBuf")
	.dwattr $C$DW$29, DW_AT_TI_symbol_name("_MagBuf")
	.dwattr $C$DW$29, DW_AT_data_member_location[DW_OP_plus_uconst 0x6]
	.dwattr $C$DW$29, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$29, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$29, DW_AT_decl_line(0x36)
	.dwattr $C$DW$29, DW_AT_decl_column(0x0d)
$C$DW$30	.dwtag  DW_TAG_member
	.dwattr $C$DW$30, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$30, DW_AT_name("PhaseBuf")
	.dwattr $C$DW$30, DW_AT_TI_symbol_name("_PhaseBuf")
	.dwattr $C$DW$30, DW_AT_data_member_location[DW_OP_plus_uconst 0x8]
	.dwattr $C$DW$30, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$30, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$30, DW_AT_decl_line(0x37)
	.dwattr $C$DW$30, DW_AT_decl_column(0x0d)
$C$DW$31	.dwtag  DW_TAG_member
	.dwattr $C$DW$31, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$31, DW_AT_name("FFTSize")
	.dwattr $C$DW$31, DW_AT_TI_symbol_name("_FFTSize")
	.dwattr $C$DW$31, DW_AT_data_member_location[DW_OP_plus_uconst 0xa]
	.dwattr $C$DW$31, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$31, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$31, DW_AT_decl_line(0x38)
	.dwattr $C$DW$31, DW_AT_decl_column(0x0c)
$C$DW$32	.dwtag  DW_TAG_member
	.dwattr $C$DW$32, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$32, DW_AT_name("FFTStages")
	.dwattr $C$DW$32, DW_AT_TI_symbol_name("_FFTStages")
	.dwattr $C$DW$32, DW_AT_data_member_location[DW_OP_plus_uconst 0xb]
	.dwattr $C$DW$32, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$32, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$32, DW_AT_decl_line(0x39)
	.dwattr $C$DW$32, DW_AT_decl_column(0x0c)
	.dwendtag $C$DW$T$23

	.dwattr $C$DW$T$23, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$T$23, DW_AT_decl_line(0x32)
	.dwattr $C$DW$T$23, DW_AT_decl_column(0x10)
$C$DW$T$43	.dwtag  DW_TAG_typedef, DW_AT_name("RFFT_F32_STRUCT")
	.dwattr $C$DW$T$43, DW_AT_type(*$C$DW$T$23)
	.dwattr $C$DW$T$43, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$43, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$T$43, DW_AT_decl_line(0x3a)
	.dwattr $C$DW$T$43, DW_AT_decl_column(0x03)

$C$DW$T$25	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$25, DW_AT_byte_size(0x04)
$C$DW$33	.dwtag  DW_TAG_member
	.dwattr $C$DW$33, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$33, DW_AT_name("InBuf")
	.dwattr $C$DW$33, DW_AT_TI_symbol_name("_InBuf")
	.dwattr $C$DW$33, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$33, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$33, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$33, DW_AT_decl_line(0x3d)
	.dwattr $C$DW$33, DW_AT_decl_column(0x0d)
$C$DW$34	.dwtag  DW_TAG_member
	.dwattr $C$DW$34, DW_AT_type(*$C$DW$T$3)
	.dwattr $C$DW$34, DW_AT_name("Tail")
	.dwattr $C$DW$34, DW_AT_TI_symbol_name("_Tail")
	.dwattr $C$DW$34, DW_AT_data_member_location[DW_OP_plus_uconst 0x2]
	.dwattr $C$DW$34, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$34, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$34, DW_AT_decl_line(0x3e)
	.dwattr $C$DW$34, DW_AT_decl_column(0x0c)
	.dwendtag $C$DW$T$25

	.dwattr $C$DW$T$25, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$T$25, DW_AT_decl_line(0x3c)
	.dwattr $C$DW$T$25, DW_AT_decl_column(0x10)
$C$DW$T$44	.dwtag  DW_TAG_typedef, DW_AT_name("RFFT_ADC_F32_STRUCT")
	.dwattr $C$DW$T$44, DW_AT_type(*$C$DW$T$25)
	.dwattr $C$DW$T$44, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$44, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$T$44, DW_AT_decl_line(0x3f)
	.dwattr $C$DW$T$44, DW_AT_decl_column(0x03)

$C$DW$T$27	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$27, DW_AT_byte_size(0x04)
$C$DW$35	.dwtag  DW_TAG_member
	.dwattr $C$DW$35, DW_AT_type(*$C$DW$T$26)
	.dwattr $C$DW$35, DW_AT_name("dat")
	.dwattr $C$DW$35, DW_AT_TI_symbol_name("_dat")
	.dwattr $C$DW$35, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$35, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$35, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$35, DW_AT_decl_line(0x42)
	.dwattr $C$DW$35, DW_AT_decl_column(0x0a)
	.dwendtag $C$DW$T$27

	.dwattr $C$DW$T$27, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$T$27, DW_AT_decl_line(0x41)
	.dwattr $C$DW$T$27, DW_AT_decl_column(0x10)
$C$DW$T$45	.dwtag  DW_TAG_typedef, DW_AT_name("complex_float")
	.dwattr $C$DW$T$45, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$45, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$45, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$T$45, DW_AT_decl_line(0x43)
	.dwattr $C$DW$T$45, DW_AT_decl_column(0x03)

$C$DW$T$31	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$31, DW_AT_byte_size(0x0e)
$C$DW$36	.dwtag  DW_TAG_member
	.dwattr $C$DW$36, DW_AT_type(*$C$DW$T$28)
	.dwattr $C$DW$36, DW_AT_name("coeff_ptr")
	.dwattr $C$DW$36, DW_AT_TI_symbol_name("_coeff_ptr")
	.dwattr $C$DW$36, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$36, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$36, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$36, DW_AT_decl_line(0x92)
	.dwattr $C$DW$36, DW_AT_decl_column(0x0c)
$C$DW$37	.dwtag  DW_TAG_member
	.dwattr $C$DW$37, DW_AT_type(*$C$DW$T$28)
	.dwattr $C$DW$37, DW_AT_name("dbuffer_ptr")
	.dwattr $C$DW$37, DW_AT_TI_symbol_name("_dbuffer_ptr")
	.dwattr $C$DW$37, DW_AT_data_member_location[DW_OP_plus_uconst 0x2]
	.dwattr $C$DW$37, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$37, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$37, DW_AT_decl_line(0x93)
	.dwattr $C$DW$37, DW_AT_decl_column(0x0c)
$C$DW$38	.dwtag  DW_TAG_member
	.dwattr $C$DW$38, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$38, DW_AT_name("cbindex")
	.dwattr $C$DW$38, DW_AT_TI_symbol_name("_cbindex")
	.dwattr $C$DW$38, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr $C$DW$38, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$38, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$38, DW_AT_decl_line(0x94)
	.dwattr $C$DW$38, DW_AT_decl_column(0x09)
$C$DW$39	.dwtag  DW_TAG_member
	.dwattr $C$DW$39, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$39, DW_AT_name("order")
	.dwattr $C$DW$39, DW_AT_TI_symbol_name("_order")
	.dwattr $C$DW$39, DW_AT_data_member_location[DW_OP_plus_uconst 0x5]
	.dwattr $C$DW$39, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$39, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$39, DW_AT_decl_line(0x95)
	.dwattr $C$DW$39, DW_AT_decl_column(0x09)
$C$DW$40	.dwtag  DW_TAG_member
	.dwattr $C$DW$40, DW_AT_type(*$C$DW$T$16)
	.dwattr $C$DW$40, DW_AT_name("input")
	.dwattr $C$DW$40, DW_AT_TI_symbol_name("_input")
	.dwattr $C$DW$40, DW_AT_data_member_location[DW_OP_plus_uconst 0x6]
	.dwattr $C$DW$40, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$40, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$40, DW_AT_decl_line(0x96)
	.dwattr $C$DW$40, DW_AT_decl_column(0x0b)
$C$DW$41	.dwtag  DW_TAG_member
	.dwattr $C$DW$41, DW_AT_type(*$C$DW$T$16)
	.dwattr $C$DW$41, DW_AT_name("output")
	.dwattr $C$DW$41, DW_AT_TI_symbol_name("_output")
	.dwattr $C$DW$41, DW_AT_data_member_location[DW_OP_plus_uconst 0x8]
	.dwattr $C$DW$41, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$41, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$41, DW_AT_decl_line(0x97)
	.dwattr $C$DW$41, DW_AT_decl_column(0x0b)
$C$DW$42	.dwtag  DW_TAG_member
	.dwattr $C$DW$42, DW_AT_type(*$C$DW$T$30)
	.dwattr $C$DW$42, DW_AT_name("init")
	.dwattr $C$DW$42, DW_AT_TI_symbol_name("_init")
	.dwattr $C$DW$42, DW_AT_data_member_location[DW_OP_plus_uconst 0xa]
	.dwattr $C$DW$42, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$42, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$42, DW_AT_decl_line(0x98)
	.dwattr $C$DW$42, DW_AT_decl_column(0x0c)
$C$DW$43	.dwtag  DW_TAG_member
	.dwattr $C$DW$43, DW_AT_type(*$C$DW$T$30)
	.dwattr $C$DW$43, DW_AT_name("calc")
	.dwattr $C$DW$43, DW_AT_TI_symbol_name("_calc")
	.dwattr $C$DW$43, DW_AT_data_member_location[DW_OP_plus_uconst 0xc]
	.dwattr $C$DW$43, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$43, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$43, DW_AT_decl_line(0x99)
	.dwattr $C$DW$43, DW_AT_decl_column(0x0c)
	.dwendtag $C$DW$T$31

	.dwattr $C$DW$T$31, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$T$31, DW_AT_decl_line(0x91)
	.dwattr $C$DW$T$31, DW_AT_decl_column(0x10)
$C$DW$T$46	.dwtag  DW_TAG_typedef, DW_AT_name("FIR_FP")
	.dwattr $C$DW$T$46, DW_AT_type(*$C$DW$T$31)
	.dwattr $C$DW$T$46, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$46, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$T$46, DW_AT_decl_line(0x9a)
	.dwattr $C$DW$T$46, DW_AT_decl_column(0x06)
$C$DW$T$47	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$47, DW_AT_type(*$C$DW$T$46)
	.dwattr $C$DW$T$47, DW_AT_address_class(0x16)
$C$DW$T$48	.dwtag  DW_TAG_typedef, DW_AT_name("FIR_FP_handle")
	.dwattr $C$DW$T$48, DW_AT_type(*$C$DW$T$47)
	.dwattr $C$DW$T$48, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$48, DW_AT_decl_file("C:/3ggb/EASdspF28335_BIOS/projects/../include/FPU.h")
	.dwattr $C$DW$T$48, DW_AT_decl_line(0x9c)
	.dwattr $C$DW$T$48, DW_AT_decl_column(0x12)
	.dwattr $C$DW$CU, DW_AT_language(DW_LANG_C)

;***************************************************************
;* DWARF CIE ENTRIES                                           *
;***************************************************************

$C$DW$CIE	.dwcie 78
	.dwcfi	cfa_register, 20
	.dwcfi	cfa_offset, 0
	.dwcfi	undefined, 0
	.dwcfi	undefined, 1
	.dwcfi	undefined, 2
	.dwcfi	undefined, 3
	.dwcfi	undefined, 4
	.dwcfi	undefined, 5
	.dwcfi	same_value, 6
	.dwcfi	same_value, 7
	.dwcfi	same_value, 8
	.dwcfi	same_value, 9
	.dwcfi	same_value, 10
	.dwcfi	same_value, 11
	.dwcfi	undefined, 12
	.dwcfi	undefined, 13
	.dwcfi	undefined, 14
	.dwcfi	undefined, 15
	.dwcfi	undefined, 16
	.dwcfi	undefined, 17
	.dwcfi	undefined, 18
	.dwcfi	undefined, 19
	.dwcfi	undefined, 20
	.dwcfi	undefined, 21
	.dwcfi	undefined, 22
	.dwcfi	undefined, 23
	.dwcfi	undefined, 24
	.dwcfi	undefined, 25
	.dwcfi	undefined, 26
	.dwcfi	undefined, 27
	.dwcfi	same_value, 28
	.dwcfi	undefined, 29
	.dwcfi	undefined, 30
	.dwcfi	undefined, 31
	.dwcfi	undefined, 32
	.dwcfi	undefined, 33
	.dwcfi	undefined, 34
	.dwcfi	undefined, 35
	.dwcfi	undefined, 36
	.dwcfi	undefined, 37
	.dwcfi	undefined, 38
	.dwcfi	undefined, 39
	.dwcfi	undefined, 40
	.dwcfi	undefined, 41
	.dwcfi	undefined, 42
	.dwcfi	undefined, 43
	.dwcfi	undefined, 44
	.dwcfi	undefined, 45
	.dwcfi	undefined, 46
	.dwcfi	undefined, 47
	.dwcfi	undefined, 48
	.dwcfi	undefined, 49
	.dwcfi	undefined, 50
	.dwcfi	undefined, 51
	.dwcfi	undefined, 52
	.dwcfi	undefined, 53
	.dwcfi	undefined, 54
	.dwcfi	undefined, 55
	.dwcfi	undefined, 56
	.dwcfi	undefined, 57
	.dwcfi	undefined, 58
	.dwcfi	same_value, 59
	.dwcfi	same_value, 60
	.dwcfi	undefined, 61
	.dwcfi	undefined, 62
	.dwcfi	same_value, 63
	.dwcfi	same_value, 64
	.dwcfi	undefined, 65
	.dwcfi	undefined, 66
	.dwcfi	same_value, 67
	.dwcfi	same_value, 68
	.dwcfi	undefined, 69
	.dwcfi	undefined, 70
	.dwcfi	same_value, 71
	.dwcfi	same_value, 72
	.dwcfi	undefined, 73
	.dwcfi	undefined, 74
	.dwcfi	undefined, 75
	.dwcfi	undefined, 76
	.dwcfi	undefined, 77
	.dwcfi	undefined, 78
	.dwendentry

;***************************************************************
;* DWARF REGISTER MAP                                          *
;***************************************************************

$C$DW$44	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AL")
	.dwattr $C$DW$44, DW_AT_location[DW_OP_reg0]
$C$DW$45	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AH")
	.dwattr $C$DW$45, DW_AT_location[DW_OP_reg1]
$C$DW$46	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("PL")
	.dwattr $C$DW$46, DW_AT_location[DW_OP_reg2]
$C$DW$47	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("PH")
	.dwattr $C$DW$47, DW_AT_location[DW_OP_reg3]
$C$DW$48	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AR0")
	.dwattr $C$DW$48, DW_AT_location[DW_OP_reg4]
$C$DW$49	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("XAR0")
	.dwattr $C$DW$49, DW_AT_location[DW_OP_reg5]
$C$DW$50	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AR1")
	.dwattr $C$DW$50, DW_AT_location[DW_OP_reg6]
$C$DW$51	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("XAR1")
	.dwattr $C$DW$51, DW_AT_location[DW_OP_reg7]
$C$DW$52	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AR2")
	.dwattr $C$DW$52, DW_AT_location[DW_OP_reg8]
$C$DW$53	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("XAR2")
	.dwattr $C$DW$53, DW_AT_location[DW_OP_reg9]
$C$DW$54	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AR3")
	.dwattr $C$DW$54, DW_AT_location[DW_OP_reg10]
$C$DW$55	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("XAR3")
	.dwattr $C$DW$55, DW_AT_location[DW_OP_reg11]
$C$DW$56	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AR4")
	.dwattr $C$DW$56, DW_AT_location[DW_OP_reg12]
$C$DW$57	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("XAR4")
	.dwattr $C$DW$57, DW_AT_location[DW_OP_reg13]
$C$DW$58	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AR5")
	.dwattr $C$DW$58, DW_AT_location[DW_OP_reg14]
$C$DW$59	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("XAR5")
	.dwattr $C$DW$59, DW_AT_location[DW_OP_reg15]
$C$DW$60	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AR6")
	.dwattr $C$DW$60, DW_AT_location[DW_OP_reg16]
$C$DW$61	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("XAR6")
	.dwattr $C$DW$61, DW_AT_location[DW_OP_reg17]
$C$DW$62	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AR7")
	.dwattr $C$DW$62, DW_AT_location[DW_OP_reg18]
$C$DW$63	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("XAR7")
	.dwattr $C$DW$63, DW_AT_location[DW_OP_reg19]
$C$DW$64	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("SP")
	.dwattr $C$DW$64, DW_AT_location[DW_OP_reg20]
$C$DW$65	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("XT")
	.dwattr $C$DW$65, DW_AT_location[DW_OP_reg21]
$C$DW$66	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("T")
	.dwattr $C$DW$66, DW_AT_location[DW_OP_reg22]
$C$DW$67	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ST0")
	.dwattr $C$DW$67, DW_AT_location[DW_OP_reg23]
$C$DW$68	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("ST1")
	.dwattr $C$DW$68, DW_AT_location[DW_OP_reg24]
$C$DW$69	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("PC")
	.dwattr $C$DW$69, DW_AT_location[DW_OP_reg25]
$C$DW$70	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RPC")
	.dwattr $C$DW$70, DW_AT_location[DW_OP_reg26]
$C$DW$71	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("FPUHAZ")
	.dwattr $C$DW$71, DW_AT_location[DW_OP_reg27]
$C$DW$72	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("FP")
	.dwattr $C$DW$72, DW_AT_location[DW_OP_reg28]
$C$DW$73	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("DP")
	.dwattr $C$DW$73, DW_AT_location[DW_OP_reg29]
$C$DW$74	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("SXM")
	.dwattr $C$DW$74, DW_AT_location[DW_OP_reg30]
$C$DW$75	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("PM")
	.dwattr $C$DW$75, DW_AT_location[DW_OP_reg31]
$C$DW$76	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("OVM")
	.dwattr $C$DW$76, DW_AT_location[DW_OP_regx 0x20]
$C$DW$77	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("PAGE0")
	.dwattr $C$DW$77, DW_AT_location[DW_OP_regx 0x21]
$C$DW$78	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("AMODE")
	.dwattr $C$DW$78, DW_AT_location[DW_OP_regx 0x22]
$C$DW$79	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("INTM")
	.dwattr $C$DW$79, DW_AT_location[DW_OP_regx 0x23]
$C$DW$80	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("IFR")
	.dwattr $C$DW$80, DW_AT_location[DW_OP_regx 0x24]
$C$DW$81	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("IER")
	.dwattr $C$DW$81, DW_AT_location[DW_OP_regx 0x25]
$C$DW$82	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("V")
	.dwattr $C$DW$82, DW_AT_location[DW_OP_regx 0x26]
$C$DW$83	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("STFL")
	.dwattr $C$DW$83, DW_AT_location[DW_OP_regx 0x27]
$C$DW$84	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("STF")
	.dwattr $C$DW$84, DW_AT_location[DW_OP_regx 0x28]
$C$DW$85	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R0LL")
	.dwattr $C$DW$85, DW_AT_location[DW_OP_regx 0x29]
$C$DW$86	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R0L")
	.dwattr $C$DW$86, DW_AT_location[DW_OP_regx 0x2a]
$C$DW$87	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R0HL")
	.dwattr $C$DW$87, DW_AT_location[DW_OP_regx 0x2b]
$C$DW$88	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R0H")
	.dwattr $C$DW$88, DW_AT_location[DW_OP_regx 0x2c]
$C$DW$89	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R1LL")
	.dwattr $C$DW$89, DW_AT_location[DW_OP_regx 0x2d]
$C$DW$90	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R1L")
	.dwattr $C$DW$90, DW_AT_location[DW_OP_regx 0x2e]
$C$DW$91	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R1HL")
	.dwattr $C$DW$91, DW_AT_location[DW_OP_regx 0x2f]
$C$DW$92	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R1H")
	.dwattr $C$DW$92, DW_AT_location[DW_OP_regx 0x30]
$C$DW$93	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R2LL")
	.dwattr $C$DW$93, DW_AT_location[DW_OP_regx 0x31]
$C$DW$94	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R2L")
	.dwattr $C$DW$94, DW_AT_location[DW_OP_regx 0x32]
$C$DW$95	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R2HL")
	.dwattr $C$DW$95, DW_AT_location[DW_OP_regx 0x33]
$C$DW$96	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R2H")
	.dwattr $C$DW$96, DW_AT_location[DW_OP_regx 0x34]
$C$DW$97	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R3LL")
	.dwattr $C$DW$97, DW_AT_location[DW_OP_regx 0x35]
$C$DW$98	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R3L")
	.dwattr $C$DW$98, DW_AT_location[DW_OP_regx 0x36]
$C$DW$99	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R3HL")
	.dwattr $C$DW$99, DW_AT_location[DW_OP_regx 0x37]
$C$DW$100	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R3H")
	.dwattr $C$DW$100, DW_AT_location[DW_OP_regx 0x38]
$C$DW$101	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R4LL")
	.dwattr $C$DW$101, DW_AT_location[DW_OP_regx 0x39]
$C$DW$102	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R4L")
	.dwattr $C$DW$102, DW_AT_location[DW_OP_regx 0x3a]
$C$DW$103	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R4HL")
	.dwattr $C$DW$103, DW_AT_location[DW_OP_regx 0x3b]
$C$DW$104	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R4H")
	.dwattr $C$DW$104, DW_AT_location[DW_OP_regx 0x3c]
$C$DW$105	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R5LL")
	.dwattr $C$DW$105, DW_AT_location[DW_OP_regx 0x3d]
$C$DW$106	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R5L")
	.dwattr $C$DW$106, DW_AT_location[DW_OP_regx 0x3e]
$C$DW$107	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R5HL")
	.dwattr $C$DW$107, DW_AT_location[DW_OP_regx 0x3f]
$C$DW$108	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R5H")
	.dwattr $C$DW$108, DW_AT_location[DW_OP_regx 0x40]
$C$DW$109	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R6LL")
	.dwattr $C$DW$109, DW_AT_location[DW_OP_regx 0x41]
$C$DW$110	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R6L")
	.dwattr $C$DW$110, DW_AT_location[DW_OP_regx 0x42]
$C$DW$111	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R6HL")
	.dwattr $C$DW$111, DW_AT_location[DW_OP_regx 0x43]
$C$DW$112	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R6H")
	.dwattr $C$DW$112, DW_AT_location[DW_OP_regx 0x44]
$C$DW$113	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R7LL")
	.dwattr $C$DW$113, DW_AT_location[DW_OP_regx 0x45]
$C$DW$114	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R7L")
	.dwattr $C$DW$114, DW_AT_location[DW_OP_regx 0x46]
$C$DW$115	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R7HL")
	.dwattr $C$DW$115, DW_AT_location[DW_OP_regx 0x47]
$C$DW$116	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("R7H")
	.dwattr $C$DW$116, DW_AT_location[DW_OP_regx 0x48]
$C$DW$117	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RBL")
	.dwattr $C$DW$117, DW_AT_location[DW_OP_regx 0x49]
$C$DW$118	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("RB")
	.dwattr $C$DW$118, DW_AT_location[DW_OP_regx 0x4a]
$C$DW$119	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("PSEUDO")
	.dwattr $C$DW$119, DW_AT_location[DW_OP_regx 0x4b]
$C$DW$120	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("PSEUDOH")
	.dwattr $C$DW$120, DW_AT_location[DW_OP_regx 0x4c]
$C$DW$121	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("VOL")
	.dwattr $C$DW$121, DW_AT_location[DW_OP_regx 0x4d]
$C$DW$122	.dwtag  DW_TAG_TI_assign_register, DW_AT_name("CIE_RETA")
	.dwattr $C$DW$122, DW_AT_location[DW_OP_regx 0x4e]
	.dwendtag $C$DW$CU

